mkraid(8)

NAME
mkraid - initializes/upgrades RAID device arrays

SYNOPSIS
mkraid [--configfile] [--version] [--force]
         [--upgrade] [-cvfu] </dev/md?>+

DESCRIPTION
mkraid sets up a set of block devices into a single RAID array. It looks in its configuration file for the md devices mentioned on the command line, and initializes those arrays. mkraid works for all types of RAID arrays (RAID1, RAID4, RAID5, LINEAR and RAID0).

Note that initializing RAID devices destroys all of the data on all the constituent devices, except those that are marked with 'failed-disk' in raidtab.

OPTIONS

-c, --configfile filename
    Use filename as the configuration file (/etc/raidtab is used by default).

-f, --force
    Initialize the consituent devices, even if they appear to have data on them already.

-h, --help
    Displays a short usage message, then exits.

-o, --upgrade
    This option upgrades older arrays to the current kernel's RAID version, without destroying data. Although the utility detects various pitfalls like mixed up disks and inconsistent superblocks, this option should be used with care.

-V, --version
    Displays a short version message, then exits.

NOTES

The raidtools are derived from the md-tools and raidtools packages, which were originally written by Marc Zyngier, Miguel de Icaza, Gadi Oxman, Bradley Ward Allen, and Ingo Molnar.

BUGS
Probably many.

SEE ALSO
raidtab(5), raidstart(8), raid0run(8), raidstop(8)